Subject: [L3sm] l3sm - Cancelling a meeting request for IETF 95

From: "\"IETF Meeting Session Request Tool\"" <[email-masked]>
Date: Fri, 11 Mar 2016 08:43:58 -0800

A request to cancel a meeting session has just been submitted by .